package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.GryjpldrtempEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;


/**
 * 个人维修资金
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface GrwxzjService extends IService<YwpzEntity> {

	//下拉框查询
	List<XlkEntity> selectxlk(Map<String, String> map);
	
	//保存按钮
	void insertGr(YwpzEntity ywpzEntity);
	
	//保存按钮
	String insertGr2(YwpzEntity ywpzEntity);
//	void updatefwxx(YwpzEntity ywpzEntity);
	
	String insertGrpldr(YwpzEntity ywpzEntity);
	
	PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
	
	//删除
	void deletegr(String id);
	
	List<FwxxEntity> selectfwzt(List<String> list);
	
	List<FwxxEntity> selectfwztbydhbm(ZhxxEntity zhxxEntity);
	
	String selectdwbmbyxmmc(YwpzEntity ywpzEntity);
	
	String selectxmbmbyxmmc(YwpzEntity ywpzEntity);

	String selectdhbmbyxmmc(YwpzEntity ywpzEntity);
	
	String selectdwwwwbmbyxmmc(YwpzEntity ywpzEntity);
	
	FwxxEntity selectfwbmbyxmmjdh(FwxxEntity fwxxEntity);
	
	List<ZhxxEntity> selectdhmcbyxmbm(YwpzEntity ywpzEntity);
	
	List<String> selectfwbylz(String id);
	
	void insertywpldrjl(String id);
	
	List<GryjpldrtempEntity> selectgryjpldr();
	
	List<GryjpldrtempEntity> selectgryjpldryjfw();
	
	ZhxxEntity selectdhdw(String id);
	
	void selectgryjpldr2();
	
	void selectloudiaode();
	
	List<YwpzEntity> CXFWSFCFJK();
	
	void FWYZKMDY();
	
	void XGZPH(YwpzEntity ywpzEntity);
	
	void updatefwyzkm();
	
	void updatedjrq(YwpzEntity ywpzEntity);
	
	void updategryjxx(YwpzEntity ywpzEntity);
	
	void checfwsfjq();
	
	void XTPLDRGRSCZS();
	
	void FZHSMXSHUA();
	
	void FZHSMXSHUA2();
	
	void FZHSMXSHUA22();
	
	void wcnd();
	
	void djbh();
	
	void yyyy();
	
	PageInfo<YwpzEntity> queryByPageFZHSMX(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
	
	PageInfo<YwpzEntity> queryByPageFZHSYE(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
}
